🚀 New: Theme Control Plane API — build, customize, and deploy themes programmatically. Learn more →
curl --request GET \
--url https://api.shoppex.io/dev/v1/categories/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"title": "<string>",
"unlisted": true,
"sort_order": 123,
"cloudflare_image_id": "<string>",
"cdn_image_url": "<string>",
"products_bound": [
{
"uniqid": "<string>",
"title": "<string>",
"price": 123,
"price_display": 123,
"discount_percent": 123,
"currency": "<string>",
"unlisted": true,
"image_id": "<string>",
"image_url": "<string>",
"description": "<string>",
"quantity_min": 123,
"quantity_max": 123,
"quantity_warning": 123,
"custom_fields": [
{}
],
"type": "<string>",
"shop_id": "<string>",
"gateways": [
"<string>"
],
"crypto_confirmations": 123,
"private": true,
"stock": 123,
"sort_priority": 123,
"on_hold": true,
"created_at": 123,
"updated_at": 123
}
],
"products_count": 123,
"groups_bound": [
{
"uniqid": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}
],
"groups_count": 123,
"created_at": 123,
"updated_at": 123
}
}Returns one category by uniqid, including its public cover URL in cdn_image_url when a category image exists.
curl --request GET \
--url https://api.shoppex.io/dev/v1/categories/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"title": "<string>",
"unlisted": true,
"sort_order": 123,
"cloudflare_image_id": "<string>",
"cdn_image_url": "<string>",
"products_bound": [
{
"uniqid": "<string>",
"title": "<string>",
"price": 123,
"price_display": 123,
"discount_percent": 123,
"currency": "<string>",
"unlisted": true,
"image_id": "<string>",
"image_url": "<string>",
"description": "<string>",
"quantity_min": 123,
"quantity_max": 123,
"quantity_warning": 123,
"custom_fields": [
{}
],
"type": "<string>",
"shop_id": "<string>",
"gateways": [
"<string>"
],
"crypto_confirmations": 123,
"private": true,
"stock": 123,
"sort_priority": 123,
"on_hold": true,
"created_at": 123,
"updated_at": 123
}
],
"products_count": 123,
"groups_bound": [
{
"uniqid": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}
],
"groups_count": 123,
"created_at": 123,
"updated_at": 123
}
}